/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package jan17;

/**
 *
 * @author caleb
 */
public class TestImmutable {
    public static void main(String[] args)
    {
            Circle c = new Circle(10);
            System.out.println(c);
            Circle c1 = c.getCircle();
            c1.getDateOfCreation().setTime(1234567);
            System.out.println(c1);
    }
}
